<?php

	include('config.php'); 
	doConnect(); 
	
	$query=
	"
	CREATE TABLE `activations` (
		  `id` int(11) NOT NULL auto_increment,
		  `projname` varchar(100) NOT NULL,
		  `skey` varchar(45) NOT NULL,
		  `email` varchar(100) NOT NULL,
		  `hwid` varchar(100) NOT NULL,
		  PRIMARY KEY  (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	CREATE TABLE `config` (
		  `id` int(11) NOT NULL auto_increment,
		  `name` varchar(45) NOT NULL,
		  `value` text,
		  PRIMARY KEY  (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	INSERT INTO `config` VALUES (1,'welcome_email','Thank you for purchasing %PROJECT_NAME%!\r\n\r\nYour license is registered to the email: %EMAIL%\r\n\r\nYour license key is: %KEY%\r\n\r\nYour Software Download Url is: %INSTALLER%\r\n\r\nThank you!');
	"; 
	runQuery($query); 
	
	$query=
	"
	CREATE TABLE `licenses` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `projname` varchar(100) NOT NULL,
		  `skey` varchar(100) NOT NULL,
		  `name` varchar(100) NOT NULL,
		  `email` varchar(100) NOT NULL,
		  `activated` int(11) DEFAULT NULL,
		  `lastiprun` varchar(100) DEFAULT NULL,
		  `registredin` varchar(100) DEFAULT NULL,
		  `timesexecuted` int(11) DEFAULT 0,
		  `lastrundate` varchar(100) DEFAULT NULL,
		  `enabled` varchar(100) DEFAULT 'enabled',
		  PRIMARY KEY (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=54 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	CREATE TABLE `paypallogs` (
		  `id` int(11) NOT NULL auto_increment,
		  `item_name` varchar(100) NOT NULL,
		  `action_type` varchar(45) NOT NULL,
		  `name` varchar(100) NOT NULL,
		  `paypal_email` varchar(100) NOT NULL,
		  `payment_date` varchar(100) NOT NULL,
		  `raw_paypal` text NOT NULL,
		  PRIMARY KEY  (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	CREATE TABLE `projects` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `name` varchar(100) NOT NULL,
		  `key` varchar(100) NOT NULL,
		  `notes` varchar(200) NOT NULL,
		  `activations` int(11) DEFAULT NULL,
		  `project_version` double DEFAULT NULL,
		  `project_url` text,
		  `activate_trials` varchar(60) DEFAULT NULL,
		  `trials_nb` varchar(60) DEFAULT NULL,
		  `installer` varchar(100) DEFAULT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	
	
	$query=
	"
	CREATE TABLE `trials` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `hwid` varchar(100) NOT NULL,
		  `project_name` varchar(100) NOT NULL,
		  `timestorun` varchar(200) NOT NULL,
		  `timesleft` int(11) DEFAULT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	CREATE TABLE `users` (
	  `id` int(11) NOT NULL auto_increment,
	  `username` varchar(45) NOT NULL,
	  `password` varchar(45) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
	"; 
	runQuery($query); 
	
	$query=
	"
	INSERT INTO `users` VALUES (1,'admin','3771e3035f5779d712dfaf18c575a2b3550c7b8d');
	"; 
	runQuery($query); 
    
    $query=
	"
	INSERT INTO config VALUES(null, 'clickbank_secret_key', 'CHANGEME');
	"; 
	runQuery($query); 
    
    /* $query=
	"
	ALTER TABLE projects ADD project_version DOUBLE; 
	"; 
	runQuery($query);  */
    
    $query=
	"
	UPDATE projects SET project_version=0.0 WHERE id>0; 
	"; 
	runQuery($query); 
    
    /* $query=
	"
	ALTER TABLE projects ADD project_url TEXT; 
	"; 
	runQuery($query);  */
    
    $query=
	"
	UPDATE projects SET project_url='' WHERE id>0; 
	"; 
	runQuery($query); 

	echo "Done! Don't forget to delete Install.php and Update.php!";
?>